/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.model.workload;

import java.io.Serializable;

import gov.va.med.esr.common.model.lookup.FunctionalGroup;
import gov.va.med.esr.common.model.lookup.VAFacility;
import gov.va.med.esr.common.model.lookup.WkfCaseType;
import gov.va.med.esr.common.model.lookup.WkfIssueType;
import gov.va.med.esr.common.model.person.id.PersonEntityKey;

/**
 * @author DNS   katikm
 * This class encapsulates the workflow case information
 */
public class WorkflowCaseInfo implements Serializable {

	private static final long serialVersionUID = -5648816931718436533L;
	
	private PersonEntityKey personEntityKey = null;	
	private FunctionalGroup groupType = null;
    private WkfCaseType caseType = null;
    private WkfIssueType issueType = null;
    private String errorMessage = null;
    
    private VAFacility requestSource = null;
    private String messageID = null;
    
	public WkfCaseType getCaseType() {
		return this.caseType;
	}
	public String getErrorMessage() {
		return this.errorMessage;
	}
	public FunctionalGroup getGroupType() {
		return this.groupType;
	}
	public WkfIssueType getIssueType() {
		return this.issueType;
	}
	public PersonEntityKey getPersonEntityKey() {
		return this.personEntityKey;
	}
	public void setCaseType(WkfCaseType caseType) {
		this.caseType = caseType;
	}
	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}
	public void setGroupType(FunctionalGroup groupType) {
		this.groupType = groupType;
	}
	public void setIssueType(WkfIssueType issueType) {
		this.issueType = issueType;
	}
	public void setPersonEntityKey(PersonEntityKey personEntityKey) {
		this.personEntityKey = personEntityKey;
	}
	public String getMessageID() {
		return this.messageID;
	}
	public VAFacility getTransmissionSite() {
		return this.requestSource;
	}
	public void setMessageID(String messageID) {
		this.messageID = messageID;
	}
	public void setTransmissionSite(VAFacility transmissionSite) {
		this.requestSource = transmissionSite;
	}
	public VAFacility getRequestSource() {
		return this.requestSource;
	}
	public void setRequestSource(VAFacility requestSource) {
		this.requestSource = requestSource;
	}	
}
